Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 917)
+++ src/mlx/acft.py	(revision 919)
@@ -1,9 +1,9 @@
 
-import const
-import gates
-import checks
-import fs
-from i18n import xstr
-import util
+from . import const
+from . import gates
+from . import checks
+from . import fs
+from .i18n import xstr
+from . import util
 
 import sys
@@ -97,7 +97,4 @@
 class Aircraft(object):
     """Base class for aircraft."""
-    dowCockpit = 2
-    dowCabin = 3
-
     @staticmethod
     def create(flight, bookedFlight):
@@ -128,7 +125,5 @@
         self._landingAntiIceLineID = None
 
-        self.cockpitCrewWeight = 85.0
-        self.cabinCrewWeight = 75.0
-        self.humanWeight = 84.0
+        self.humanWeight = 82.0
 
         self.initialClimbSpeedAltitude = 1500
@@ -313,5 +308,5 @@
               ("-" if value is None else "enabled" if value else "disabled",)
         elif dt!=DERATE_NONE:
-            print "mlx.acft.getDerateLine: invalid derate type: " + dt
+            print("mlx.acft.getDerateLine: invalid derate type: " + dt)
 
         return None
@@ -348,5 +343,5 @@
                                   self._aircraftState, aircraftState)
                 except:
-                    print >> sys.stderr, "Checker", checker, "failed"
+                    print("Checker", checker, "failed", file=sys.stderr)
                     traceback.print_exc()
 
@@ -356,5 +351,5 @@
             self._minVS = min(self._minVS, aircraftState.vs)
         except:
-            print >> sys.stderr, "Failed to handle the state"
+            print("Failed to handle the state", file=sys.stderr)
             traceback.print_exc()
         finally:
@@ -408,5 +403,5 @@
                     self._logQNH(aircraftState)
             elif newStage==const.STAGE_GOAROUND:
-                from logger import Logger
+                from .logger import Logger
                 self._flight.handleFault("goaround",
                                          aircraftState.timestamp,
@@ -834,8 +829,7 @@
 class B734(Boeing737CL):
     """Boeing 737-400 aircraft."""
-    dow = 35100
-
     def __init__(self, flight):
         super(B734, self).__init__(flight)
+        self.dow = 35100
         self.mtow = 62822
         self.mlw = 54885
@@ -1249,32 +1243,4 @@
         """Get the derate type for this type."""
         return DERATE_B462
-
-#---------------------------------------------------------------------------------------
-
-class IL62(Aircraft):
-    """Ilyushin IL-62 aircraft.
-
-    The aircraft type-specific values in the aircraft state have the following
-    structure:
-    - fuel: left, centre, right
-    - n1: left outer, left inner, right inner, right outer
-    - reverser: empty (the plane has no reversers)"""
-    dow = 69500
-
-    def __init__(self, flight):
-        super(B462, self).__init__(flight)
-        self.mtow = 165000
-        self.mlw = 165000
-        self.mzfw = 165000
-        self.gearSpeedLimit = 210
-        self.flapSpeedLimits = { 18 : 217,
-                                 24 : 180,
-                                 30 : 170,
-                                 33 : 150 }
-
-    @property
-    def derateType(self):
-        """Get the derate type for this type."""
-        return DERATE_NONE
 
 #---------------------------------------------------------------------------------------
@@ -1305,6 +1271,5 @@
              const.AIRCRAFT_T154  : T154,
              const.AIRCRAFT_YK40  : YK40,
-             const.AIRCRAFT_B462  : B462,
-             const.AIRCRAFT_IL62  : IL62 }
+             const.AIRCRAFT_B462  : B462 }
 
 #---------------------------------------------------------------------------------------
@@ -1316,62 +1281,50 @@
 #---------------------------------------------------------------------------------------
 
-def setupTypes(aircraftTypes):
-    """Setup the values in the given types using the info retrieved
-    from the server."""
-    for aircraftTypeInfo in aircraftTypes:
-        clazz = getClass(aircraftTypeInfo.aircraftType)
-
-        clazz.dow = aircraftTypeInfo.dow
-        clazz.dowCockpit = aircraftTypeInfo.dowCockpit
-        clazz.dowCabin = aircraftTypeInfo.dowCabin
-
-#---------------------------------------------------------------------------------------
-
 if __name__ == "__main__":
     value = SmoothedValue()
 
-    print "Adding 1, 12.0"
+    print("Adding 1, 12.0")
     value.add(1, 12.0)
-    print value.get()
-
-    print "Adding 1, 15.0"
+    print(value.get())
+
+    print("Adding 1, 15.0")
     value.add(1, 15.0)
-    print value.get()
-
-    print "Adding 2, 18.0"
+    print(value.get())
+
+    print("Adding 2, 18.0")
     value.add(2, 18.0)
-    print value.get()
-
-    print "Adding 2, 20.0"
+    print(value.get())
+
+    print("Adding 2, 20.0")
     value.add(2, 20.0)
-    print value.get()
-
-    print "Adding 5, 22.0"
+    print(value.get())
+
+    print("Adding 5, 22.0")
     value.add(5, 22.0)
-    print value.get()
-
-    print "Adding 5, 25.0"
+    print(value.get())
+
+    print("Adding 5, 25.0")
     value.add(5, 25.0)
-    print value.get()
-
-    print "Adding 5, 29.0"
+    print(value.get())
+
+    print("Adding 5, 29.0")
     value.add(5, 29.0)
-    print value.get()
-
-    print "Adding 5, 21.0"
+    print(value.get())
+
+    print("Adding 5, 21.0")
     value.add(5, 21.0)
-    print value.get()
-
-    print "Adding 5, 26.0"
+    print(value.get())
+
+    print("Adding 5, 26.0")
     value.add(5, 26.0)
-    print value.get()
-
-    print "Adding 2, 30.0"
+    print(value.get())
+
+    print("Adding 2, 30.0")
     value.add(2, 30.0)
-    print value.get()
-
-    print "Adding 2, 55.0"
+    print(value.get())
+
+    print("Adding 2, 55.0")
     value.add(2, 55.0)
-    print value.get()
-
-#---------------------------------------------------------------------------------------
+    print(value.get())
+
+#---------------------------------------------------------------------------------------
